--TEST--
Parameter Parsing
--SKIPIF--
<?php if (!extension_loaded('params')) die('skip'); ?>
--FILE--
<?php
class B extends stdClass { }
class C { }

function one()
{
	$args = params_parse("bdl|sa");
	return $args;
}

function two()
{
	$args = params_parse("ro");
	return $args;
}

function three()
{
	$args = params_parse("RO", "stream", "stdClass");
	return $args;
}

var_dump( one('yes', '3.14 is roughly pi', '123 fourth st.') );
var_dump( one(false, 1.2, 3, 4, 5) );
var_dump( two(tmpfile(), new stdClass) );
var_dump( two(true, new stdClass) );
var_dump( three(tmpfile(), new stdClass) );
var_dump( three(tmpfile(), new B) );
var_dump( three(tmpfile(), new C) );


?>
--EXPECTF--
array(5) {
  [0]=>
  bool(true)
  [1]=>
  float(3.14)
  [2]=>
  int(123)
  [3]=>
  string(0) ""
  [4]=>
  array(0) {
  }
}
array(5) {
  [0]=>
  bool(false)
  [1]=>
  float(1.2)
  [2]=>
  int(3)
  [3]=>
  string(1) "4"
  [4]=>
  array(1) {
    [0]=>
    int(5)
  }
}
array(2) {
  [0]=>
  resource(4) of type (stream)
  [1]=>
  object(stdClass)#3 (0) {
  }
}

Warning: params_parse(): Argument 1 must be a resource in %s on line 13
bool(false)
array(2) {
  [0]=>
  resource(5) of type (stream)
  [1]=>
  object(stdClass)#3 (0) {
  }
}
array(2) {
  [0]=>
  resource(6) of type (stream)
  [1]=>
  object(B)#3 (0) {
  }
}

Warning: params_parse(): Argument 2 must be a class of type stdClass, but is of type C in %s on line 19
bool(false)
